# Admin Directory API . channels

## Instance Methods

Stop watching resources through this channel

### Method Details

`stop(body)`

    Stop watching resources through this channel

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # An notification channel used to watch for resource changes.
        "resourceUri": "A String", # A version-specific identifier for the watched resource.
        "kind": "api#channel", # Identifies this as a notification channel used to watch for changes to a resource. Value: the fixed string "api#channel".
        "resourceId": "A String", # An opaque ID that identifies the resource being watched on this channel. Stable across different API versions.
        "payload": True or False, # A Boolean value to indicate whether payload is wanted. Optional.
        "token": "A String", # An arbitrary string delivered to the target address with each notification delivered over this channel. Optional.
        "params": { # Additional parameters controlling delivery channel behavior. Optional.
          "a_key": "A String", # Declares a new parameter by name.
        },
        "expiration": "A String", # Date and time of notification channel expiration, expressed as a Unix timestamp, in milliseconds. Optional.
        "address": "A String", # The address where notifications are delivered for this channel.
        "type": "A String", # The type of delivery mechanism used for this channel.
        "id": "A String", # A UUID or similar unique string that identifies this channel.
      }